Skip to navigation

Get object metadata

Preview

Returns metadata for a specified object path. Use this to fetch metadata such as object size (size_bytes), its expiry time (expiry_time), or when it arrived on the node holding it (last_updated_at).

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

objectPathstringRequiredformat: "^[a-zA-Z0-9/_=\-.]*$"
The path of the object to query.

Response headers

PathstringOptionalformat: "string"
ChecksumstringOptionalformat: "string"
Content-LengthintegerOptional
Last-ModifiedstringOptionalformat: "HTTP-date"
ExpiresstringOptionalformat: "HTTP-date"

Response

Successful operation

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error